Quantcast
Download
(4 Kb)
Download
Updated: 11/05/21 04:03 PM
Pictures
File Info
Compatibility:
Deadlands (7.2.5)
Updated:11/05/21 04:03 PM
Created:11/01/21 10:56 PM
Monthly downloads:87
Total downloads:531
Favorites:2
MD5:
Categories:Miscellaneous, Info, Plug-in Bars
7.2.5
Armory Build Display
Version: 1.0.3
by: tes4p00ner [More]
Simple little addon that will display the icon and name of the currently selected Armory Station build on the screen. It will not show until you have visited and equipped a build from the Armory Station at least once. The display can be moved around with the mouse cursor in cursor mode.

Requires: LibAddonMenu-2.0
[*]Version 1.0.3 (2021/11/5)
  • Fixed issue that prevented some build icons from showing up
  • Fixed edge case of potentially empty build name
[*]Version 1.0.2 (2021/11/5)
  • Added ability to scale the display
  • Added ability to change the text color
  • Added ability to change the icon color
  • Added ability to hide the display when a primary build is equipped
[*]Version 1.0.1 (2021/11/2)
  • Updated manifest to use LibAddonMenu-2.0>=32
[*]Version 1.0.0 (2021/11/2)
  • Initial Release
Optional Files (0)


Archived Files (2)
File Name
Version
Size
Uploader
Date
1.0.1
3kB
tes4p00ner
11/02/21 10:28 AM
1.0.0
3kB
11/01/21 10:56 PM


Post A Reply Comment Options
Unread 11/06/21, 01:24 AM  
NJTanker

Forum posts: 0
File comments: 14
Uploads: 0
Would have been nice if ZOS had mad the armory like how Alphagear or Bandits Gear Changer worked .. I hate the ideal of buying a helper to change my gear.. I like the UI ZOS made it is clean an nice and the work bench is cool ... I wonder if the Code would be able to be modified to support changing with out the assistant and be like the other gear managers.
Report comment to moderator  
Reply With Quote
Unread 11/02/21, 10:31 AM  
tes4p00ner
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 1
Uploads: 1
Originally Posted by Baertram
Thanks for this addons.
If you create new addons please make sure that the libraries you add to the dependsOn / optionaldependsOn list are added with the newest version.

LibAddonMenu-2.0 e.g. versiosn < 28 won't support the global lib name LibAddonMenu2 and will only work using LibStub, which is obsolete.
So pelase use the >= version suffix at the lib/addon name like this:

## DependsOn: LibAddonMenu-2.0>=32

32 is the actual version. This way you assure you do not run into issues cuz someone uses a very old LAM version. The addon will just not enable if not the most current version is found and enabled at the user's side.

Thanks
Thanks for the information. I have uploaded an update to target the most recent LibAddonMenu-2.0.
Report comment to moderator  
Reply With Quote
Unread 11/02/21, 02:47 AM  
Baertram
Super Moderator
 
Baertram's Avatar
ESOUI Super Moderator
AddOn Author - Click to view AddOns

Forum posts: 3817
File comments: 4706
Uploads: 70
Thanks for this addons.
If you create new addons please make sure that the libraries you add to the dependsOn / optionaldependsOn list are added with the newest version.

LibAddonMenu-2.0 e.g. versiosn < 28 won't support the global lib name LibAddonMenu2 and will only work using LibStub, which is obsolete.
So pelase use the >= version suffix at the lib/addon name like this:

## DependsOn: LibAddonMenu-2.0>=32

32 is the actual version. This way you assure you do not run into issues cuz someone uses a very old LAM version. The addon will just not enable if not the most current version is found and enabled at the user's side.

Thanks
Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump: